package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.Literature;

/**
 * 文献管理Mapper接口
 * 
 * @author jy
 * @date 2022-11-11
 */
public interface LiteratureMapper 
{
    /**
     * 查询文献管理
     * 
     * @param id 文献管理主键
     * @return 文献管理
     */
    public Literature selectLiteratureById(Long id);

    /**
     * 查询文献管理列表
     * 
     * @param literature 文献管理
     * @return 文献管理集合
     */
    public List<Literature> selectLiteratureList(Literature literature);

    /**
     * 查询热门文献管理列表
     *
     * @param literature 文献管理
     * @return 文献管理集合
     */
    public List<Literature> selectHotLiteratureList(Literature literature);

    /**
     * 新增文献管理
     * 
     * @param literature 文献管理
     * @return 结果
     */
    public int insertLiterature(Literature literature);

    /**
     * 修改文献管理
     * 
     * @param literature 文献管理
     * @return 结果
     */
    public int updateLiterature(Literature literature);

    /**
     * 删除文献管理
     * 
     * @param id 文献管理主键
     * @return 结果
     */
    public int deleteLiteratureById(Long id);

    /**
     * 批量删除文献管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiteratureByIds(Long[] ids);
}
